Subject: Re: bug#31870: Provide a way to customize %harmless-collisions

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 Jun 2018 23:17:00 +0200

Hello,

Clément Lassieur <[email-masked]> skribis:

> %harmless-collisions is consistent for Guix packages, but users can also
> add their custom packages through GUIX_PACKAGE_PATH.  It would be great
> that if such custom packages collide, the warning message can be
> removed.

‘%harmless-collisions’ is really a hack and I’m not sure we’d like to
make this hack extensible.  :-)

Did you have any concrete use case in mind?

Ludo’.